Subject: bug#39111: [Re] bug#39111: 27.0.60; Tramp offers to save password in ~/.authinfo instead of ~/.authinfo.gpg

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 01 Sep 2021 06:24:29 +0000

> Yes, this is intended. When instructing users to hunt Tramp bugs, wrong
> passwords have been in the way, several times. That's why the call to
> auth-source-search is disabled when calling "emacs -Q". This is
> documented in the Tramp manual, node "(tramp) Bug Reports".
> 
> If you want to debug tramp-read-passwd calling auth-source-search, you
> can do the trick by
> 
> # emacs -Q --eval '(setq tramp-cache-read-persistent-data t)'
> 
> It's a dirty trick to be applied only for this use case. I've added a
> comment to tramp-read-passwd explaining this, pushed to master.

Note that this is (was) breaking async.el see
https://github.com/jwiegley/emacs-async/issues/80.

-- 
Thierry